Subject: linux-next: manual merge of the v4l-dvb tree with Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 24 May 2019 09:21:25 +1000

Hi all,

Today's linux-next merge of the v4l-dvb tree got a conflict in:

  drivers/media/platform/coda/Makefile

between commit:

  ec8f24b7faaf ("treewide: Add SPDX license identifier - Makefile/Kconfig")

from Linus' tree and commit:

  94b7ddb91c16 ("media: coda: remove -I$(src) header search path")

from the v4l-dvb tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

-- 
Cheers,
Stephen Rothwell

diff --cc drivers/media/platform/coda/Makefile
index f13adacd924e,3eed82137257..000000000000
--- a/drivers/media/platform/coda/Makefile
+++ b/drivers/media/platform/coda/Makefile
@@@ -1,6 -1,3 +1,5 @@@
 +# SPDX-License-Identifier: GPL-2.0-only
- ccflags-y += -I$(src)
 +
  coda-objs := coda-common.o coda-bit.o coda-gdi.o coda-h264.o coda-jpeg.o
  
  obj-$(CONFIG_VIDEO_CODA) += coda.o